Priority: Urgent Due date:
Target version:

Resolution: Invalid Affected version:

Description
Hi,

I'm using Redmine 0.9.3 and | want use gmail to configure notification email.
When | use "send a test email" function. Have a error "An error occurred while sending mail (530 5.7.0 Must issue a STARTTLS

command first. 14sm447694gxk.11)". Please help me to fix it. Thanks.
Here is my email.ym

production:
delivery_method: :smtp
smtp_settings:
enable_starttls_auto: true
address: "smtp.gmail.com”
port: '587'

domain: "smtp.gmail.com”
authentication: :plain
user_name: "xxx@gmail.com"
password: "Xxxx"
development:
delivery_method: :smtp
smtp_settings:
enable_starttls_auto: true
address: "smtp.gmail.com"”
port: '587"

domain: "smtp.gmail.com”
authentication: :plain

user_name: "xxxx@gmail.com"

password: "xxxx"

History

#1 - 2010-04-09 05:33 - Sheng Wang

You need to install action_mailer_optional_tls plugin.

Further information:
see http:/redmineblog.com/articles/setup-redmine-to-send-email-using-gmail/

#2 - 2010-04-09 05:51 - Truong Nguyen

Hi,

| did follow this guide before but it doesn't work now.
Thanks for your reply.

#3 - 2010-04-09 06:53 - Sheng Wang

You carefully compare email.yml file.

| think there is missing parameter:

tls: true

#4 - 2010-04-11 15:22 - Jean-Philippe Lang

- Status changed from New to Closed
- Resolution set to Invalid

This is a configuration problem. redmine.org uses gmail SMTP just fine.
